Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
webhooks
Get all webhooks
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/webhooks
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/webhooks"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cal.com/v2/organizations/{orgId}/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
      "triggers": [],
      "teamId": 123,
      "id": 123,
      "subscriberUrl": "<string>",
      "active": true,
      "secret": "<string>"
    }
  ]
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Query Parameters

take
number
default:250

Maximum number of items to return

Required range: 1 <= x <= 250
Example:

25

skip
number
default:0

Number of items to skip

Required range: x >= 0
Example:

0

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required